Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class ZipArchiver

    java.lang.Object
      java.lang.Thread
          org.meshcms.util.DirectoryParser
              org.meshcms.util.ZipArchiver

All Implemented Interfaces:
  java.lang.Runnable

public class ZipArchiver
extends DirectoryParser

Creates a ZIP file from a directory or file.

Field Summary

Fields inherited from class org.meshcms.util.DirectoryParser
`initialDir, processStartDir, recursive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ZipArchiver(java.io.File contents, java.io.OutputStream out)` Instantiates the archiver for the given file and output stream.

Method Summary
`protected void` | `postProcess()` This method is called at the end of the processing.
`protected boolean` | `preProcessDirectory(java.io.File file, Path path)`
`protected void` | `processFile(java.io.File file, Path path)` This method will be called for any file found while parsing the base directory.

Methods inherited from class org.meshcms.util.DirectoryParser
`getInitialDir, isProcessStartDir, isRecursive, isSorted, postProcessDirectory, preProcess, process, run, setInitialDir, setInitialDir, setProcessStartDir, setRecursive, setSorted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZipArchiver

    public ZipArchiver(java.io.File contents,
                       java.io.OutputStream out)

  Instantiates the archiver for the given file and output stream.

Parameters:
  `contents` - the file to be archieved
  `out` - the OutputStream to write the archive to.

Method Detail

### preProcessDirectory

    protected boolean preProcessDirectory(java.io.File file,
                                          Path path)

  Overrides:
    `preProcessDirectory` in class `DirectoryParser`

### processFile

    protected void processFile(java.io.File file,
                               Path path)

  Description copied from class: `DirectoryParser`
  This method will be called for any file found while parsing the base directory.

  Overrides:
    `processFile` in class `DirectoryParser`
  Parameters:
    `file` - the file to be processed
    `path` - the path of the file (relative to the base directory)

### postProcess

    protected void postProcess()

  Description copied from class: `DirectoryParser`
  This method is called at the end of the processing. It is called even if `DirectoryParser.preProcess()` returned false.

  The base implementation does nothing.

  Overrides:
    `postProcess` in class `DirectoryParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD